/**
 * An element which displays information about a build that was triggered from an outside source.
 */
angular.module('quay').directive('triggeredBuildDescription', function () {
  var directiveDefinitionObject = {
    priority: 0,
    templateUrl: '/static/directives/triggered-build-description.html',
    replace: false,
    transclude: false,
    restrict: 'C',
    scope: {
      'build': '=build'
    },
    controller: function($scope, $element, KeyService, TriggerService) {
      $scope.getGitHubRepoURL = function(build) {
        return KeyService['githubTriggerEndpoint'] + build.trigger.config.build_source + '/';
      };
    }
  };
  return directiveDefinitionObject;
});